GCLOUD_COMPUTE_INSTANCE-GROUPS_UNMANAGED_SET-NAMED-PORTS(1)

NAME

gcloud compute instance-groups unmanaged set-named-ports - sets the list of named ports for an instance group

SYNOPSIS

gcloud compute instance-groups unmanaged set-named-ports GROUP --named-ports [NAME:PORT,...] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Named ports are key:value pairs metadata representing the service name and the port that it's running on. Named ports can be assigned to an instance group, which indicates that the service is available on all instances in the group. This information is used by the HTTP Load Balancing service. gcloud compute instance-groups unmanaged set-named-ports sets the list of named ports for all instances in an instance group.

POSITIONAL ARGUMENTS
GROUP
    The name of the instance group.

REQUIRED FLAGS
--named-ports [NAME:PORT,...]
    The comma-separated list of key:value pairs representing the service name and the port that it is running on. To clear the list of named ports pass empty list as flag value. For example:
        $ gcloud compute instance-groups unmanaged set-named-ports \
            example-instance-group --named-ports ""

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance group to set named ports for. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
For example, to apply the named ports to an entire instance group:
    $ gcloud compute instance-groups unmanaged set-named-ports \
        example-instance-group \
        --named-ports example-service:1111 \
        --zone us-central1-a
The above example will assign a name 'example-service' for port 1111 to the instance group called 'example-instance-group' in the us-central1-a zone. The command removes any named ports that are already set for this instance group. To clear named ports from instance group provide empty named ports list as parameter:
    $ gcloud compute instance-groups unmanaged set-named-ports \
        example-instance-group --named-ports "" \
                 --zone us-central1-a